0

I'd like to try out the i3 window manager. When I run apt-get install i3 I run into the following error;

root@hammerhead:~# apt-get install i3
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package i3

Here's a copy of /etc/apt/sources.list;

root@hammerhead:~# cat /etc/apt/sources.list
# deb cdrom:[Debian GNU/Linux 9.3.0 _Stretch_ - Official amd64 NETINST 20171209-12:10]/ stretch contrib main non-free

# deb cdrom:[Debian GNU/Linux 9.3.0 _Stretch_ - Official amd64 NETINST 20171209-12:10]/ stretch contrib main non-free

deb http://ftp.uk.debian.org/debian/ stretch main non-free contrib
deb-src http://ftp.uk.debian.org/debian/ stretch main non-free contrib

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.uk.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.uk.debian.org/debian/ stretch-updates main contrib non-free

What am I missing here?

closed as off-topic by GAD3R, Rui F Ribeiro, schily, slm Jul 22 '18 at 23:30

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions describing a problem that can't be reproduced and seemingly went away on its own (or went away when a typo was fixed) are off-topic as they are unlikely to help future readers." – GAD3R, Rui F Ribeiro, schily, slm
If this question can be reworded to fit the rules in the help center, please edit the question.

1

I was just able to install i3 on Debian Stretch using these repositories:

deb http://deb.debian.org/debian stretch main          
deb-src http://deb.debian.org/debian stretch main

Try using these repositories and running apt-get update.

Not the answer you're looking for? Browse other questions tagged or ask your own question.